Skip to main content
POST
Attach business tax details to a payment intent

Authorizations

Authorization
string
header
required

Provider secret API key (sk_live_… / sk_test_…) supplied as a Bearer token.

Path Parameters

processorPaymentId
string
required

Stripe payment intent ID (pi_…)

Body

application/json
isBusiness
boolean
required

Whether the purchase is on behalf of a business

businessName
string

Legal business name

country
string

ISO 3166-1 alpha-2 country code

customerCity
string

Billing city

customerCountry
string

ISO 3166-1 alpha-2 billing country (non-business consumers)

customerLine1
string

Billing address line 1

customerLine2
string

Billing address line 2

customerName
string

Customer full name

Maximum string length: 100
customerPostalCode
string

Billing postal code (required by Stripe Tax for US)

customerRef
string

Customer reference to persist business tax details on the customer record. Only honored by the payment-intent business-details endpoint; ignored on the checkout-session endpoint.

customerState
string

Billing state/region

taxId
string

Tax / VAT identification number

taxIdType
enum<string>

Tax ID type

Available options:
ae_trn,
al_tin,
am_tin,
ao_tin,
au_abn,
aw_tin,
az_tin,
ba_tin,
bb_tin,
bd_bin,
bf_ifu,
bh_vat,
bj_ifu,
bs_tin,
by_tin,
ca_gst_hst,
cd_nif,
ch_vat,
cl_tin,
cm_niu,
co_nit,
cr_tin,
cv_nif,
ec_ruc,
eg_tin,
et_tin,
eu_vat,
gb_vat,
ge_vat,
gn_nif,
hk_br,
id_npwp,
in_gst,
is_vat,
jp_trn,
ke_pin,
kg_tin,
kh_tin,
kr_brn,
kz_bin,
la_tin,
li_vat,
lk_vat,
ma_vat,
md_vat,
me_pib,
mk_vat,
mr_nif,
mx_rfc,
my_sst,
ng_tin,
no_vat,
np_pan,
nz_gst,
om_vat,
pe_ruc,
ph_tin,
rs_pib,
ru_inn,
sa_vat,
sg_gst,
sn_ninea,
sr_fin,
th_vat,
tj_tin,
tr_tin,
tw_vat,
tz_vat,
ua_vat,
ug_tin,
us_ein,
uy_ruc,
uz_vat,
vn_tin,
za_vat,
zm_tin,
zw_tin

Response

Business details applied and tax breakdown returned

taxBreakdown
object
required

Calculated tax breakdown